Look up an outbound call by ID in the call record.
curl --request GET \
--url https://example.com/api/v1/project/{projectSlug}/{env}/outbound-calls/{outboundCallId} \
--header 'x-api-key: <api-key>'{
"success": true,
"data": {
"outboundCallId": "oc_01a0a4af5a417f5186af",
"channelConnectionId": "cc_01a09438",
"environment": "production",
"destinationType": "phone",
"destination": "+1*******23",
"clientReferenceId": "order-4821",
"initiationState": "submitted",
"phase": "in_progress",
"outcome": null,
"failureReason": null,
"amdMode": "off",
"providerCallSid": "****************a10",
"sessionId": "a2b5869f45e562fdd9a1eb2dd8957745",
"statusHistory": [
{
"phase": "dialing",
"outcome": null,
"providerEventAt": "2026-09-15T10:49:11.100Z",
"ingestedAt": "2026-09-15T10:49:11.204Z"
},
{
"phase": "ringing",
"outcome": null,
"providerEventAt": "2026-09-15T10:49:12.800Z",
"ingestedAt": "2026-09-15T10:49:12.910Z"
},
{
"phase": "in_progress",
"outcome": null,
"providerEventAt": "2026-09-15T10:49:18.200Z",
"ingestedAt": "2026-09-15T10:49:18.305Z"
}
],
"createdAt": "2026-09-15T10:49:10.466Z",
"updatedAt": "2026-09-15T10:49:18.305Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Look-up an outbound call by ID
GET
/
api
/
v1
/
project
/
{projectSlug}
/
{env}
/
outbound-calls
/
{outboundCallId}
Look up an outbound call by ID in the call record.
curl --request GET \
--url https://example.com/api/v1/project/{projectSlug}/{env}/outbound-calls/{outboundCallId} \
--header 'x-api-key: <api-key>'{
"success": true,
"data": {
"outboundCallId": "oc_01a0a4af5a417f5186af",
"channelConnectionId": "cc_01a09438",
"environment": "production",
"destinationType": "phone",
"destination": "+1*******23",
"clientReferenceId": "order-4821",
"initiationState": "submitted",
"phase": "in_progress",
"outcome": null,
"failureReason": null,
"amdMode": "off",
"providerCallSid": "****************a10",
"sessionId": "a2b5869f45e562fdd9a1eb2dd8957745",
"statusHistory": [
{
"phase": "dialing",
"outcome": null,
"providerEventAt": "2026-09-15T10:49:11.100Z",
"ingestedAt": "2026-09-15T10:49:11.204Z"
},
{
"phase": "ringing",
"outcome": null,
"providerEventAt": "2026-09-15T10:49:12.800Z",
"ingestedAt": "2026-09-15T10:49:12.910Z"
},
{
"phase": "in_progress",
"outcome": null,
"providerEventAt": "2026-09-15T10:49:18.200Z",
"ingestedAt": "2026-09-15T10:49:18.305Z"
}
],
"createdAt": "2026-09-15T10:49:10.466Z",
"updatedAt": "2026-09-15T10:49:18.305Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Look-up an outbound call by its ID.
Authorizations
Project-bound Platform API key (abl_...). The key must carry outbound_calls.initiate
for write operations (initiate, terminate) or outbound_calls.read for read operations
(lookup, list, summary, search, event stream).
Path Parameters
The project's slug.
Minimum string length:
1Deployment environment segment the call runs under, e.g. production, staging, dev.
Minimum string length:
1Identifier returned when the call was initiated.
Minimum string length:
1Was this page helpful?